### R code from vignette source 'Rd2roxygen.Rnw'

###################################################
### code chunk number 1: setup
###################################################
if (require('knitr')) opts_chunk$set(comment=NA, message=FALSE)
options(keep.blank.line = FALSE, width=80)


###################################################
### code chunk number 2: roxygen-ex
###################################################
## the source code of the function `parse_and_save`
ex.file = system.file('examples','parse_and_save.R',package='Rd2roxygen')
cat(readLines(ex.file), sep='\n')


###################################################
### code chunk number 3: rd-ex
###################################################
rd.file = system.file('examples','parse_and_save.Rd',package='Rd2roxygen')
cat(readLines(rd.file), sep='\n')


###################################################
### code chunk number 4: Rd2roxygen
###################################################
library(Rd2roxygen)
args(Rd2roxygen)
## e.g. Rd2roxygen('somewhere/to/source/pkg')
## there must be 'man' and 'R' directories under this path


###################################################
### code chunk number 5: parse-file
###################################################
## we can specify the roxygen comments prefix (#' by default)
options(roxygen.comment = "##' ")
(info = parse_file(rd.file))
cat(create_roxygen(info), sep='\n') # parse_and_save() combines these two steps


###################################################
### code chunk number 6: rab
###################################################
formatR::usage(rab)


###################################################
### code chunk number 7: reformat-ex1 (eval = FALSE)
###################################################
## ## original code
## rab=function(pkg,roxygen.dir=pkg,build=TRUE,install=FALSE,
## check=FALSE,check.opts='',remove.check=TRUE,reformat=TRUE,...){}


###################################################
### code chunk number 8: reformat-ex2 (eval = FALSE)
###################################################
## ## the reformatted code; note the spaces and indent
## rab=function(pkg,roxygen.dir=pkg,build=TRUE,install=FALSE,
## check=FALSE,check.opts='',remove.check=TRUE,reformat=TRUE,...){}


###################################################
### code chunk number 9: lyx-doc (eval = FALSE)
###################################################
## system.file('doc', 'Rd2roxygen.Rnw', package='Rd2roxygen')


###################################################
### code chunk number 10: write-bib
###################################################
# automatically write the bibliography database
if (require('knitr')) write_bib(c('Rd2roxygen', 'roxygen2', 'formatR', 'knitr'), file = 'Rd2roxygen.bib')


